Subject: Re: bug#11028: 24.0.94; bad lighter and menus for `text-scale-mode'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 28 Apr 2016 16:01:01 +0200

"Drew Adams" <[email-masked]> writes:

> I appreciate the intention of keeping the lighter short, but currently
> it is meaningless, if not misleading, to users.  They need to fiddle
> around to find out what it means.
>
> The lighter text is " " by default (but fortunately an all-space lighter
> is not shown).

I think that's by design.  There is no lighter for text-scale-mode when
you haven't scaled anything.  I think that's natural.

> When you scale the text the lighter changes to a signed integer, such
> as "-1" or "+3".
>
> Seeing only that does not help users, unless they've already figured out
> what it stands for.  It just makes them wonder, especially if they do
> not notice the lighter immediately after they change the text scale.
>
> You put your mouse over the lighter, to see what's up.  The tooltip
> says only this, of course:
>
>  Minor mode
>  mouse-1: Display minor mode menu
>  mouse-2: Show help for minor mode
>  mouse-3: Toggle minor modes

I think all those mode menus should say what modes they belong to,
yes, instead of just "Minor mode".

> Not much help so far.  You try mouse-1 and see this menu:
>
>  -1
>  -------------------
>  Turn Off minor mode
>  Help for minor mode
>
> ("Off" should not be capitalized, BTW.)
>
> Which minor mode?  No idea still.  

Yeah, that's not good.

> This menu would be better if it included (at least the scaling) items
> from the menu shown by `S-mouse-1', i.e.:
>
>  Change Default Buffer Face
>  --------------------------
>  Change Buffer Font...
>  Increase Buffer Text Size
>  Decrease Buffer Text Size
>  Reset to Default

True.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no